%define languageenglazy Khmer
%define languagecode    km
%define lc_ctype        km_KH

Name:           hunspell-%{languagecode}
Version:        1.82
Release:        %mkrel 3
Summary:        %{languageenglazy} hunspell dictionaries
License:        GPLv3
Group:          System/Internationalization
URL:            http://www.sbbic.org/
Source0:        https://extensions.libreoffice.org/extensions/khmer-spelling-checker-sbbic-version/%{version}/@@download/file/sbbic-khmer-spelling-checker-libreoffice-1-82.oxt

BuildArch:      noarch

Recommends:       hunspell

Requires:       locales-km
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-%{lc_ctype} < 1.0.3
Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c

%build

%install
install -D -m 0644 -p km_KH.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p km_KH.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc CHANGELOG LICENCES-*.txt
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog
* Mon Mar 21 2022 umeabot <umeabot> 1.82-3.mga9
+ Revision: 1812042
- Mageia 9 Mass Rebuild

* Mon Feb 17 2020 umeabot <umeabot> 1.82-2.mga8
+ Revision: 1537769
- Mageia 8 Mass Rebuild

* Sat Nov 09 2019 zezinho <zezinho> 1.82-1.mga8
+ Revision: 1458927
- new version

* Tue Sep 18 2018 umeabot <umeabot> 1.1-13.mga7
+ Revision: 1262469
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 1.1-12.mga6
+ Revision: 945982
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1-11.mga5
+ Revision: 741903
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1-10.mga5
+ Revision: 680260
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Fri Oct 18 2013 umeabot <umeabot> 1.1-9.mga4
+ Revision: 505834
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.1-8.mga3
+ Revision: 353514
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 1.1-7.mga3
+ Revision: 325541
- rebuild for Mga3 Beta1

* Tue Mar 20 2012 kamil <kamil> 1.1-6.mga2
+ Revision: 224699
- add requirement on locales (mga#4632)

* Tue Feb 14 2012 kamil <kamil> 1.1-5.mga2
+ Revision: 208490
- use better obsoleting of myspell

* Fri Jan 27 2012 kamil <kamil> 1.1-4.mga2
+ Revision: 202099
- adapt .spec to the current policies

* Sat Mar 12 2011 dmorgan <dmorgan> 1.1-3.mga1
+ Revision: 68879
- imported package hunspell-km


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jun 16 2009 Caolan McNamara <caolanm@redhat.com> - 1.1-1
- latest version

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Sep 30 2008 Caolan McNamara <caolanm@redhat.com> - 1.0.2-1
- initial version
